Como o micronaut resolve as coisas em tempo de compilação, então deve compilar os fontes da aplicação antes de subir:

Segue comando para subir aplicação: 

$ mvn compile exec:exec 
 
Para realizar uma requisição simples de teste executar o seguinte comando:

$ curl -v http://localhost:8080/greetings